
Figure - 需求 Requirement #112269
需求 Requirement # 110110 (分析&分解中 In Analysis): 【CR新增需求】总票

【CR新增需求】-【博世fota】
2022-09-29 15:38 - 方案组-RD3_CDTS 王浩云

Status: 保留中 Pending Start date: 2022-09-29

Priority: Low Due date:

Assignee: CD BSP 叶鹏 % Done: 50%

Category: BSP Estimated time: 0.00 hour

Target version:

Description

1. 功能流程描述

1.  中控主屏获升级信息，副屏集成博世提供得源文件库，以及对接口文件进行编译

  2. 中控选择选择是否升级，以切换分区，升级完成后，副屏侧自动切换分区

  3. 中控下载包，并且分发给副屏

  4. 副屏接收包，接收完成后，接收主屏开始升级指令，无进度页面展示，屏幕置黑，按熄屏处理。

  5. 副屏反馈升级结果，并且返回升级过后的版本信息，若升级包内包含MCU升级，反馈时需要同时包含MCU的升级是否成功，

版本信息和安卓FOTA升级后的反馈信息等。

    1. 反馈时机：

      1. 有MCU升级：MCU升级完成后反馈

      2. 无MCU升级：fota升级完成后反馈

    2. 升级顺序：先完成fota升级，然后完成MCU升级

  6. 中控屏幕给副屏分包通过以太网传输，给后排分包通过Wi-Fi传输

  7. 安卓升级，可以在normal模式下进行

2. 功能点说明

  1. A/B分区新版本切换：升级重启后，副屏需要完成A/B分区的切换

  2. 效率要求：整体升级的时效需根据整车全部升级进度考虑，包含中控下载升级包，中控分发升级包，以及升级完成

  3. 差分升级： 按照约定的规则调�9�2差分库，在副屏侧完成升级包的还原，差分包需要用集成博世delta installer库，在本地完成

差分包的还原

  4. 完成FOTA升级中，三个依赖库的集成，以及对接口源文件进行编译预置

  5. 升级包信息： 升级包由配置信息、证书、签名、升级脚本（可选）、升级�9�8件等组成。 配置信息应当包含：名称、校验算

法套件、包大小、所属域、升级工况选项、对其他ECU版本依赖、 升级�9�8件信息等。应对升级包做签名处理, 升级文件应当按

照不同功能模块来组织，可以�9�6持外设 Firmware、分区镜像、压缩包等形式文件，升级包的详细结构须跟HH评审，并达成�9

�2致的理解 

  6. 支持单独分区升级，需保存的字段可通过增量文件的形式，反馈至博世，对签名等进行保存，支持多个分区，用一个版本号

  7. 回滚机制：当中控（即cgw）下令回滚时，副屏需立刻回滚，不管当前版本是否升级成功

文件链接：https://thundersoft.feishu.cn/docs/doccnURUXrmHRJSLfIHpKBRjAMg#

History

#1 - 2022-10-08 14:33 - 方案组-RD3_CDTS 王浩云

- Parent task set to #110110

#2 - 2022-10-21 14:13 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to CD BSP 叶鹏 

#3 - 2022-12-08 17:07 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

167902 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yepeng0322@thundersoft.com
https://thundersoft.feishu.cn/docs/doccnURUXrmHRJSLfIHpKBRjAMg


BSP:OTA: Fix selinux issue for Rollback APIFix selinux issue for Rollback APIIssueID: TS-R-DF-112269TC-RID: 1201-0100805Change-Id:

Icfd27a0bef4254070233d79fae92726cdac6289c

#4 - 2022-12-09 11:31 - CD BSP 叶鹏 

- % Done changed from 0 to 50

功能点完成情况(目前已经与博世模拟中控的服务器联调通过，后续需要和中控屏联调)

1、获取单个版本信息和全部版本信息功能已完成

2、准备升级接口功能已完成

3、开始升级接口功能已完成

4、升级结束接口目前根据项目实际分析，不需要删除临时文件，暂不添加实际动作

5、回滚接口功能已完成

6、获取设备状态功能已完成

#5 - 2022-12-29 18:10 - 方案组-RD3_CDTS 王浩云

- Status changed from New to 保留中 Pending

- Priority changed from Normal to Low

#6 - 2023-02-08 11:26 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

158074 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yepeng0322@thundersoft.com

BSP:OTA: Add Hiphi Update API .Add Hiphi Update API .IssueID: TS-R-DF-112269TC-RID: 1201-0100805Change-Id:

I377681c42003823dfd6748d134e1503b8795d47c

#7 - 2023-02-13 11:19 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

180127 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yepeng0322@thundersoft.com

BSP:OTA: Add SwitchSlot and Rollback apis for Hiphi Update .Add SwitchSlot and Rollback apis for Hiphi Update .IssueID: TS-R-DF-112269TC-RID:

1201-0100805Change-Id: I4fa2bb340f802a122c3155ec394a785cf504230a

#8 - 2023-02-14 11:16 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

2025-07-05 2/8



181348 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangpeng1212@thundersoft.com

BSP:OTA: Implement GetInstallProgress- Implement the interface of Hh_GetInstallProgress- Running install progress in a thread- Upgrade process changed from

external call to internal executionIssueID: TS-R-DF-112269TC-RID: 1201-0100805Change-Id: Ic08e58257d6f0b82d755b64ea083eb4e4af321d6

#9 - 2023-02-17 13:33 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

181935 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yepeng0322@thundersoft.com

BSP:OTA: Add individual log for hiphi_update_apiAdd individual log for hiphi_update_apiIssueID: TS-R-DF-112269TC-RID: 1201-0100805Change-Id:

I8cb792a3cd0f8e01f9a8ea451150f463f605b3f3

#10 - 2023-02-27 19:56 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

182388 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yepeng0322@thundersoft.com

BSP:OTA: Divid update_engine error codes into three categoriesDivid update_engine error codes into three categoriesIssueID: TS-R-DF-112269TC-RID:

1201-0100805Change-Id: I292c843bd0e130a6a1292fd61b5607e18336f648

#11 - 2023-03-02 17:03 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185148 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yepeng0322@thundersoft.com

BSP:OTA: Get version according to board idGet version according to board idIssueID: TS-R-DF-112269TC-RID: 1201-0100805Change-Id:

Ie72b31da81a9133f58ec961c6845dcb4a5c1a182

#12 - 2023-03-09 09:16 - IoT scm

Gerrit Merge Information：
ID Project Branch Uploader

185641 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yepeng0322@thundersoft.com

BSP:OTA: Integration of oem's program into android systemIntegration of oem's program into android systemIssueID: TS-R-DF-112269TC-RID:

1201-0100805Change-Id: I914268e7a92c4eea8953d31a24075897b0188400

#13 - 2023-03-09 09:16 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185872 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yepeng0322@thundersoft.com

BSP:OTA: Integration of oem's program into android systemFix the sepolicy of oem's programIssueID: TS-R-DF-112269TC-RID: 1201-0100805Change-Id:

Ic810f1c0ebb69baf5f4ffb9d2d82b4542581884d

#14 - 2023-03-09 09:16 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186382 general/platform/system/sepolicy Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yepeng0322@thundersoft.com

BSP:OTA: Integration of oem's program into android systemFix the sepolicy of oem's programIssueID: TS-R-DF-112269TC-RID: 1201-0100805Change-Id:

I2bec96f9c449780d3615f080a6817de6e4d089e8

#15 - 2023-03-14 19:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186915 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yepeng0322@thundersoft.com

BSP:OTA:  Fix the sepolicy of oem's programFix the sepolicy of oem's programIssueID: TS-R-DF-112269TC-RID: 1201-0100805Change-Id:

Ief6771d0d3c1f8b36aaa801195cfa1c10f083599

#16 - 2023-03-14 19:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

2025-07-05 4/8



186991 general/platform/system/sepolicy Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yepeng0322@thundersoft.com

BSP:OTA:  Fix the sepolicy of oem's programFix the sepolicy of oem's programIssueID: TS-R-DF-112269TC-RID: 1201-0100805Change-Id:

Idb32d6965ea616a1df73b01b371f35655006e095

#17 - 2023-04-06 17:59 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

190852 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yepeng0322@thundersoft.com

BSP:OTA: Set update-progress to 100 after mcu update completeSet update-progress to 100 after mcu update completeIssueID: TS-R-DF-112269TC-RID:

1201-0100805Change-Id: Ic90a0e21d10e2acb1e17b0f92d7ec5ddad707c55

#18 - 2023-07-04 15:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

212122 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

BSP:OTA: Add log for customers appAdd log for customers app v1.0.2TC-RID: 1201-0100805IssueID: TS-R-DF-112269Change-Id:

I068d64f8f1973f399790d37d48c36f47916f81d4

#19 - 2023-07-04 15:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

212121 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

BSP:OTA: Add log for customers appAdd log for customers app v1.0.2TC-RID: 1201-0100805IssueID: TS-R-DF-112269Change-Id:

I36d99f33dd191e4a192d845a71863657471c612a

#20 - 2023-07-12 15:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

212816 general/platform/vendor/thundercom
Pre_figure_turbox-c2130c-la1.1-qssi12 yepeng0322@thundersoft.com



m/apps/FOTA -dev

BSP:OTA: Add sync before reset the deviceAdd sync before reset the deviceIssueID: TS-R-DF-112269TC-RID: 1201-0100805Change-Id:

I5fbc38e48006ab748931ae58581338b3ae54f91b

#21 - 2023-07-13 21:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

214747 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

BSP:OTA: Add sync before reset the deviceAdd sync before reset the deviceIssueID: TS-R-DF-112269TC-RID: 1201-0100805Change-Id:

I5fbc38e48006ab748931ae58581338b3ae54f91b(cherry picked from commit d1655848961376e76277a98519fb4ce323b80352)

#22 - 2023-07-21 17:25 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

215173 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yepeng0322@thundersoft.com

BSP:OTA: Update customers app to V1.0.3Update customers app to V1.0.3TC-RID: 1201-0100805IssueID: TS-R-DF-112269Change-Id:

I1e1c07e15e9eeab9f3875320964bc16eab5e42d6

#23 - 2023-07-21 22:11 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

216671 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

BSP:OTA: Update customers app to V1.0.3Update customers app to V1.0.3TC-RID: 1201-0100805IssueID: TS-R-DF-112269Change-Id:

I1e1c07e15e9eeab9f3875320964bc16eab5e42d6(cherry picked from commit bf11fd7ca519132344341cb3e495d15362f360df)

#24 - 2023-08-28 18:09 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader
307153 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp_mce

wangxl0510@thundersoft.com

BSP:OTA: Update customers app to V1.0.3 for MCEUpdate customers app to V1.0.3 for MCETC-RID: 1201-0100805IssueID: TS-R-DF-112269Change-Id:

If4790432df3392af9301f3849eb7213d3e252ab4

#25 - 2023-08-29 21:24 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

304369 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com

BSP:OTA: Remove bosch fotaDelete bosch fota from mk file.TC-RID: 1201-0100805IssueID: TS-R-DF-112269Change-Id:

I89b9118c8f53ce21b05d1b324d1ae45575f9b018

#26 - 2023-08-31 23:56 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

308774 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

BSP:OTA: Remove bosch fotaDelete bosch fota from mk file.TC-RID: 1201-0100805IssueID: TS-R-DF-112269Change-Id:

I89b9118c8f53ce21b05d1b324d1ae45575f9b018(cherry picked from commit a645d9428cb914648f1bb96612f7fc54c2b166bc)

#27 - 2023-09-07 14:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

308775 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp_mce

wangxl0510@thundersoft.com

BSP:OTA: Remove bosch fotaDelete bosch fota from mk file.TC-RID: 1201-0100805IssueID: TS-R-DF-112269Change-Id:

I89b9118c8f53ce21b05d1b324d1ae45575f9b018(cherry picked from commit a645d9428cb914648f1bb96612f7fc54c2b166bc)

#28 - 2024-01-11 09:23 - IoT scm

Gerrit Merge Information：
ID Project Branch Uploader

343040 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev_vx1

wangxl0510@thundersoft.com

BSP:OTA: Update customers app to V1.0.1 for VX1Update customers app to V1.0.1TC-RID: 1201-0100805IssueID: TS-R-DF-112269Change-Id:

I7a07f1298f82b813635cd21a7b10b5f4ed10d44c

#29 - 2024-01-11 09:28 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

343912 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp_vx1

wangxl0510@thundersoft.com

BSP:OTA: Update customers app to V1.0.1 for VX1Update customers app to V1.0.1TC-RID: 1201-0100805IssueID: TS-R-DF-112269Change-Id:

I7a07f1298f82b813635cd21a7b10b5f4ed10d44c(cherry picked from commit fd45ec0a469536e33be8c1a03e74fa40eb3933d2)

#30 - 2024-02-07 09:33 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

349028 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com

BSP:OTA:Wait 60s to reboot after ota done and sync.1.wait 20s to sync after ota done2.wait 60s to reboot after sync.TC-RID: 1201-0100805IssueID:

TS-R-DF-112269, PVC1-5298Change-Id: Ie922529a67b30ae262827a84e5405eeca996fd60
